com.pixelmed.network

## Interface AbstractSyntaxSelectionPolicy

All Known Implementing Classes:
  CompositeInstanceStoreAbstractSyntaxSelectionPolicy, CompositeInstanceStoreFindMoveGetAbstractSyntaxSelectionPolicy

    public interface AbstractSyntaxSelectionPolicy

Implementations of this interface accept or reject Presentation Contexts from a list based on their Abstract Syntax.

See Also:
  `CompositeInstanceStoreFindMoveGetAbstractSyntaxSelectionPolicy`

### Method Summary

Methods
`java.util.LinkedList` `applyAbstractSyntaxSelectionPolicy(java.util.LinkedList presentationContexts, int debugLevel, int associationNumber)` Accept or reject Abstract Syntaxes (SOP Classes).

### Method Detail

#### applyAbstractSyntaxSelectionPolicy

    java.util.LinkedList applyAbstractSyntaxSelectionPolicy(java.util.LinkedList presentationContexts,
                                                          int debugLevel,
                                                          int associationNumber)

Accept or reject Abstract Syntaxes (SOP Classes). Should be called before Transfer Syntax selection is performed.

Parameters:
  `presentationContexts` - a java.util.LinkedList of `PresentationContext` objects, each of which contains an Abstract Syntax (SOP Class UID)
  `associationNumber` - for debugging messages
  `debugLevel` -
Returns:
  the java.util.LinkedList of `PresentationContext` objects, as supplied but with the result/reason field set to either "acceptance" or "abstract syntax not supported (provider rejection)"